Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class AbstractDynamicMethodInvocation

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation

All Implemented Interfaces:
  DynamicMethodInvocation

    public abstract class AbstractDynamicMethodInvocation

Authors:
  Steven Devijver
  Graeme Rocher

Constructor Summary
`AbstractDynamicMethodInvocation(java.util.regex.Pattern pattern)`

Method Summary
`protected java.util.regex.Pattern` | `getPattern()`
`java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, Object[] arguments)`
`boolean` | `isMethodMatch(java.lang.String methodName)`
`void` | `setPattern(java.util.regex.Pattern pattern)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractDynamicMethodInvocation

    public AbstractDynamicMethodInvocation(java.util.regex.Pattern pattern)

Method Detail

### getPattern

    protected java.util.regex.Pattern getPattern()

### invoke

    public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, Object[] arguments)

### isMethodMatch

    public boolean isMethodMatch(java.lang.String methodName)

### setPattern

    public void setPattern(java.util.regex.Pattern pattern)

Groovy Documentation